Ticket #68 (closed bug: invalid)

Opened 7 years ago

Last modified 7 years ago

Failed Nagare installation on Mac OS X 10.6.4

Reported by: Yanguy Owned by: apoirier
Priority: critical Component: installation
Version: 0.3.0 Keywords:
Cc:

Description

Using the following steps :

  • Run the 'stackless python' installer with no modification through the installation process
sh-3.2# /usr/local/bin/python2.6
Python 2.6.5 Stackless 3.1b3 060516 (release26-maint, Mar 24 2010, 09:47:07) 
[GCC 4.0.1 (Apple Inc. build 5493)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
  • Run '<STACKLESS_HOME>/bin/python virtualenv-1.5.1/virtualenv.py <NAGARE_HOME>' command using default stackless python installation directory (/usr/local/bin/python2.6)
  • Run '<NAGARE_HOME>/bin/easy_install 'nagare[full]'

Got the following error message

Searching for nagare[full]
Reading http://pypi.python.org/simple/nagare/
Reading http://www.nagare.org
Reading http://www.nagare.org/download
Best match: nagare 0.3.0
Downloading http://www.nagare.org/download/nagare-0.3.0.tar.gz
Processing nagare-0.3.0.tar.gz
Running nagare-0.3.0/setup.py -q bdist_egg --dist-dir /var/folders/O-/O-8z4PtQFwiydOlFeN57BE+++TI/-Tmp-/easy_install-mTtBqx/nagare-0.3.0/egg-dist-tmp-TC8YBq
You must use Python Stackless !
Get it at http://www.stackless.com
error: Setup script exited with -1

Change History

comment:1 Changed 7 years ago by apoirier

  • Status changed from new to accepted

Strange. Seems like the Python in your virtual env. is not Stackless Python.

Can your run '<NAGARE_HOME>/bin/python' to see which Python is launched?

comment:2 Changed 7 years ago by Yanguy

Here is the result of '<NAGARE_HOME>/bin/python' :

> Nagare/home/bin/python

Python 2.6.5 Stackless 3.1b3 060516 (release26-maint, Mar 24 2010, 09:47:07) 
[GCC 4.0.1 (Apple Inc. build 5493)] on darwin
Type "help", "copyright", "credits" or "license" for more information

.

comment:3 Changed 7 years ago by apoirier

Ok, so your virtual env. contains a good Stackless Python.
So, now, after '<NAGARE_HOME>/bin/python', try 'import stackless'

comment:4 Changed 7 years ago by Yanguy

'import stackless' works

Python 2.6.5 Stackless 3.1b3 060516 (release26-maint, Mar 24 2010, 09:47:07) 
[GCC 4.0.1 (Apple Inc. build 5493)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import stackless
>>> 

comment:5 Changed 7 years ago by apoirier

So I don't understand because the error message "You must use Python Stackless !" is only displayed when setup.py can't import the stackless module: http://www.nagare.org/trac/browser/trunk/nagare/core/setup.py#L19

I'll do the same install than you to check

comment:6 Changed 7 years ago by Yanguy

Problem solved !

After looking at the 'easy_install' script in my <NAGARE_HOME>/bin directory, it explicitly pointed to the correct instance of python (see above). The problem, then, was the way i started it : i went into my <NAGARE_HOME>/bin directory and entered 'easy_install 'nagare[full]' .

Apparently this line does not take into account the easy_install tool in the current directory but another one from the path ?
Executing it with the following './easy_install 'nagare[full]' fixes the issue.

Ticket closed : rejected.

comment:7 Changed 7 years ago by apoirier

  • Status changed from accepted to closed
  • Resolution set to invalid
Note: See TracTickets for help on using tickets.